Create a fact-find session Run in API Explorer
Ask AI
Body
-
The UUID of the fact find template that you would like the client to use.
-
The UUID of the client account to send the fact find request. This must only be individual clients. Cannot be used with circle_uuid.
-
The UUID of the circle to send the fact find request to. Cannot be used with client_uuid.
-
This controls if an email to the client is sent to invite them to complete a fact find. Set this to false if you are going to send your own invitation.
-
The text that will appear in the invitation email sent to the client (if enabled)
POST
/api/v2/fact-find/session
curl \
--request POST 'https://api.plannrcrm.com/api/v2/fact-find/session' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"fact_find_template_uuid": "82f30444-2e38-4b8f-8c08-72a8d5e765bc",
"client_uuid": "3fabcd28-8317-4f95-bda2-bae412d0fd4c",
"circle_uuid": "2bf4ec75-b7d2-4227-bb67-6fc06e6dfc2a",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"fact_find_template_uuid": "82f30444-2e38-4b8f-8c08-72a8d5e765bc",
"client_uuid": "3fabcd28-8317-4f95-bda2-bae412d0fd4c",
"circle_uuid": "2bf4ec75-b7d2-4227-bb67-6fc06e6dfc2a",
"send_invitation_email": true,
"invitation_text": "Please complete this fact find."
}
Response examples (201)
{
"uuid": "912a41c8-018f-4d11-9e0c-67bc40c36fb8",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"status": "complete",
"completed_at": "2026-11-15T11:56:03+00:00",
"invitation_text": "Please complete this fact find!",
"template": {
"uuid": "fcdc1632-335a-44d1-86c4-e6a3aa8d91ab",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-11-19T11:56:03+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0,
"sections": {
"uuid": "cf547d54-6cbf-4aee-a67d-19ae67c58834",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false
}
},
"latest_file": {
"uuid": "21dd6f6b-b712-4a3a-b759-b7ee157ac939",
"created_at": "2026-11-20T11:56:03+00:00",
"original_created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"uploaded_at": "2026-11-20T11:56:03+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-20T11:56:03+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/7c78c49a-01ca-47ee-81e7-421e40f5c01a/download",
"preview_url": "https://api.plannrcrm.com/file/d8ba0cc8-0242-4f3f-9aaa-c97cb32b8f97/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "af110686-a882-49cc-a9f5-d3055dfe9638",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "3a1a63c6-3079-476a-b199-c29116b4d966"
},
"firm": {
"uuid": "a384a3ce-5aa5-4d06-8427-32a61c2d1824",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "60f6bdcb-7eed-4113-9ac3-d48a775ab70a",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "16966dc2-1c0d-430b-89fd-843688b6b714",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
},
"account": {
"uuid": "8f0095fc-0f6a-4e6a-b767-1ecde9cf83cc",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "76a5de7d-080a-4e8c-8d04-263a9560b094",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"invitation_url": "https://api.plannrcrm.com/fact-find-session/71b7039f-fd89-421c-a189-077012d5d922"
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}